## org.apache.cassandra.utils
Class Mx4jTool

    java.lang.Object
      org.apache.cassandra.utils.Mx4jTool

    public class Mx4jTool

extends java.lang.Object

If mx4j-tools is in the classpath call maybeLoad to load the HTTP interface of mx4j. The default port is 8081. To override that provide e.g. -Dmx4jport=8082 The default listen address is 0.0.0.0. To override that provide -Dmx4jaddress=127.0.0.1

Constructor Summary
`Mx4jTool()`

Method Summary
`static boolean` `maybeLoad()` Starts a JMX over http interface if and mx4j-tools.jar is in the classpath.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Mx4jTool

    public Mx4jTool()

Method Detail

### maybeLoad

    public static boolean maybeLoad()

  Starts a JMX over http interface if and mx4j-tools.jar is in the classpath.

  Returns:
    true if successfully loaded.

Copyright © 2012 The Apache Software Foundation